# Uses of Enum Class
org.bukkit.NetherWartsState

Packages that use NetherWartsState
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of NetherWartsState in org.bukkit

Methods in org.bukkit that return NetherWartsState
Modifier and Type
Method
Description
`static NetherWartsState`
NetherWartsState.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static NetherWartsState[]`
NetherWartsState.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of NetherWartsState in org.bukkit.material

Methods in org.bukkit.material that return NetherWartsState
Modifier and Type
Method
Description
`NetherWartsState`
NetherWarts.`getState()`
Deprecated.
Gets the current growth state of this nether wart
Methods in org.bukkit.material with parameters of type NetherWartsState
Modifier and Type
Method
Description
`void`
NetherWarts.`setState(NetherWartsState state)`
Deprecated.
Sets the growth state of this nether wart
Constructors in org.bukkit.material with parameters of type NetherWartsState
Modifier
Constructor
Description
``
`NetherWarts(NetherWartsState state)`
Deprecated.